Summary: GNU cpio archiving program
Name: cpio
Version: 2.4.2
Release: 9
Copyright: GPL
Group: Utilities/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/cpio-2.4.2.tar.gz
Patch: cpio-2.3-lstat.patch
Patch1: cpio-2.4.2-glibc.patch
Patch2: cpio-2.4.2-mtime.patch
Patch3: cpio-2.4.2-svr4compat.patch
Prereq: /sbin/install-info /sbin/rmt
Buildroot: /var/tmp/cpio-root
Summary(de): GNU-cpio-Archivierungsprogramm 
Summary(fr): Programme d'archivage cpio de GNU
Summary(tr): GNU cpio arivleme program

%description
cpio copies files into or out of a cpio or tar archive, which is a
file that contains other files plus information about them, such as
their file name, owner, timestamps, and access permissions.  The
archive can be another file on the disk, a magnetic tape, or a pipe.
cpio has three operating modes.

%description -l de
cpio erstellt Kopien von Dateien in oder von einem cpio- oder tar-
Archiv. Die Dateien enthalten andere Dateien, zusammen mit 
Informationen ber diese - etwa den Dateinamen, den Besitzer, 
Zeitstempel und Zugriffsrechte. Das Archiv kann eine andere Datei 
auf der Festplatte, ein Magnetband oder eine Pipe sein. cpio 
arbeitet mit drei Betriebsarten.

%description -l fr
cpio copie des fichiers dans ou  partir d'une archive tar ou cpio,
qui est un fichier contenant d'autres fichiers plus des informations
sur ceux-ci, comme leur nom, leur propritaire, la date et les permissions.
L'archive peut tre un autre fichier sur le disque, une bande ou un tube.
cpio possde trois modes de fonctionnement.

%description -l tr
cpio program, cpio veya tar arivlerinden dosya eker ya da bu arivlere
dosya koyar. Bu arivler, dosyalarn ieriinden ve ayrca dosyann ad,
sahibi, zaman bilgileri ve eriim haklar gibi bilgilerden oluur. Ariv,
disk zerinde baka bir dosya, manyetik bir teyp veya bir pipe olabilir.

%prep
%setup -q
# patch 0 not applied
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .svr4compat

%build
./configure --prefix=/usr --bindir=/bin --libexecdir=/sbin
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/bin libexecdir=$RPM_BUILD_ROOT/sbin install

gzip -9nf $RPM_BUILD_ROOT/usr/info/cpio.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/cpio.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/cpio.info.gz /usr/info/dir
fi

%files
%doc README NEWS
/bin/cpio
#/bin/mt
/usr/info/cpio.*
/usr/man/man1/cpio.1

%changelog
* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump package.
- Don't include /bin/mt -- use the mt from mt-st package.
- Add prereq's

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- fix '-c' to duplicate svr4 behavior (problem #438)
- install support programs & info pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- removed "(used by RPM)" comment in Summary

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- no longer statically linked as RPM doesn't use cpio for unpacking packages
